;****************************************************************
;*  REG310.INC, LAST CHANGE: 29.11.90                           *
;*                                                              *
;*              REGISTER-CONSTANTS FOR NEC 78310/312            *
;*              ====================================            *
;*                                                              *
;****************************************************************

;================================================================
;       PORTS
;----------------------------------------------------------------
P0      EQU     0FF00H
P1      EQU     0FF01H
P2      EQU     0FF02H
P3      EQU     0FF03H
P4      EQU     0FF04H
P5      EQU     0FF05H
PM0     EQU     0FF20H
PM1     EQU     0FF21H
PM2     EQU     0FF22H
PM3     EQU     0FF23H
PM5     EQU     0FF25H
PMC2    EQU     0FF32H
PMC3    EQU     0FF33H
RTPC    EQU     0FF38H
P0L     EQU     0FF3AH
P0H     EQU     0FF3BH
;================================================================
;       UD/DOWN-COUNTER-UNIT WITH CAPTURE
;----------------------------------------------------------------
CR00L   EQU     0FF08H
CR00H   EQU     0FF09H
CR00    EQU     0FF08H          ;16-BIT
CR01L   EQU     0FF0AH
CR01H   EQU     0FF0BH
CR01    EQU     0FF0AH          ;16-BIT
CR10L   EQU     0FF0CH
CR10H   EQU     0FF0DH
CR10    EQU     0FF0CH          ;16-BIT
CR11L   EQU     0FF0EH
CR11H   EQU     0FF0FH
CR11    EQU     0FF0EH          ;16-BIT
UDC0L   EQU     0FF1CH
UDC0H   EQU     0FF1DH
UDC0    EQU     0FF1CH          ;16-BIT
UDC1L   EQU     0FF1EH
UDC1H   EQU     0FF1FH
UDC1    EQU     0FF1EH          ;16-BIT
CUIM    EQU     0FF70H
UDCC0   EQU     0FF72H
CRC     EQU     0FF74H
UDCC1   EQU     0FF7AH
;================================================================
;       CAPTURE-UNIT
;----------------------------------------------------------------
CPT0L   EQU     0FF10H
CPT0H   EQU     0FF11H
CPT0    EQU     0FF10H          ;16-BIT
CPT1L   EQU     0FF12H
CPT1H   EQU     0FF13H
CPT1    EQU     0FF12H          ;16-BIT
FRCC    EQU     0FF60H
CPTM    EQU     0FF64H
;================================================================
;       PWM-UNIT
;----------------------------------------------------------------
PWM0L   EQU     0FF14H
PWM0H   EQU     0FF15H
PWM0    EQU     0FF14H          ;16-BIT
PWM1L   EQU     0FF16H
PWM1H   EQU     0FF17H
PWM1    EQU     0FF16H          ;16-BIT
PWMM    EQU     0FF66H
;================================================================
;       TIMER-UNIT
;----------------------------------------------------------------
TMC0    EQU     0FF80H
TMC1    EQU     0FF82H
TM0L    EQU     0FF88H
TM0H    EQU     0FF89H
TM0     EQU     0FF88H          ;16-BIT
MD0L    EQU     0FF8AH
MD0H    EQU     0FF8BH
MD0     EQU     0FF8AH          ;16-BIT
TM1L    EQU     0FF8CH
TM1H    EQU     0FF8DH
TM1     EQU     0FF8CH          ;16-BIT
MD1L    EQU     0FF8EH
MD1H    EQU     0FF8FH
MD1     EQU     0FF8EH          ;16-BIT
;================================================================
;       SERIAL INTERFACE
;----------------------------------------------------------------
SCM     EQU     0FF50H
SCC     EQU     0FF52H
BRG     EQU     0FF53H
RXB     EQU     0FF56H
TXB     EQU     0FF57H
;================================================================
;       ANALOG-DIGITAL-CONVERTER
;----------------------------------------------------------------
ADM     EQU     0FF68H
ADCR    EQU     0FF6AH
;================================================================
;       INTERRUPTS
;----------------------------------------------------------------
INTM    EQU     0FF48H
ISPR    EQU     0FF4AH
CRIC00  EQU     0FFC0H
CRIC01  EQU     0FFC2H
CRIC10  EQU     0FFC4H
CRIC11  EQU     0FFC6H
EIC0    EQU     0FFC8H
EIC1    EQU     0FFCAH
EIC2    EQU     0FFCCH
TMIC0   EQU     0FFCEH
TMIC1   EQU     0FFD0H
TMIC2   EQU     0FFD2H
SEIC    EQU     0FFDAH
SRIC    EQU     0FFDCH
STIC    EQU     0FFDEH
ADIC    EQU     0FFE0H
TBIC    EQU     0FFE2H
;================================================================
;       MACRO-SERVICE
;----------------------------------------------------------------
CRMS00  EQU     0FFC1H
CRMS10  EQU     0FFC5H
EMS0    EQU     0FFC9H
EMS1    EQU     0FFCBH
EMS2    EQU     0FFCDH
TMMS0   EQU     0FFCFH
TMMS1   EQU     0FFD1H
TMMS2   EQU     0FFD3H
SRMS    EQU     0FFDDH
STMS    EQU     0FFDFH
ADMS    EQU     0FFE1H
;================================================================
;       CONTROLS
;----------------------------------------------------------------
MM      EQU     0FF40H
RFM     EQU     0FF41H
WDM     EQU     0FF42H
STBC    EQU     0FF44H
TBM     EQU     0FF46H
CCW     EQU     0FF4EH
SPL     EQU     0FFFCH
SPH     EQU     0FFFDH
SP      EQU     0FFFCH          ;16-BIT
PSWL    EQU     0FFFEH
PSWH    EQU     0FFFFH
PSW     EQU     0FFFEH          ;16-BIT
;=== ENDE =======================================================
